package com.navdy.service.library.events;

import android.support.v4.media.TransportMediator;
import com.glympse.android.lib.StaticConfig;
import com.here.posclient.analytics.TrackerEvent;
import com.loopj.android.http.BuildConfig;
import com.navdy.hud.app.bluetooth.obex.HeaderSet;
import com.navdy.hud.app.bluetooth.obex.ObexHelper;
import com.navdy.hud.app.bluetooth.obex.ResponseCodes;
import com.navdy.hud.app.bluetooth.pbap.BluetoothPbapClient;
import com.navdy.hud.app.ui.component.vlist.VerticalList;
import com.navdy.hud.app.ui.component.vlist.viewholder.IconBaseViewHolder;
import com.navdy.hud.app.view.SpeedometerGaugePresenter2;
import com.navdy.service.library.events.audio.AudioStatus;
import com.navdy.service.library.events.audio.CancelSpeechRequest;
import com.navdy.service.library.events.audio.MusicArtworkRequest;
import com.navdy.service.library.events.audio.MusicArtworkResponse;
import com.navdy.service.library.events.audio.MusicCapabilitiesRequest;
import com.navdy.service.library.events.audio.MusicCapabilitiesResponse;
import com.navdy.service.library.events.audio.MusicCollectionRequest;
import com.navdy.service.library.events.audio.MusicCollectionResponse;
import com.navdy.service.library.events.audio.MusicCollectionSourceUpdate;
import com.navdy.service.library.events.audio.MusicEvent;
import com.navdy.service.library.events.audio.MusicTrackInfo;
import com.navdy.service.library.events.audio.MusicTrackInfoRequest;
import com.navdy.service.library.events.audio.NowPlayingUpdateRequest;
import com.navdy.service.library.events.audio.ResumeMusicRequest;
import com.navdy.service.library.events.audio.SpeechRequest;
import com.navdy.service.library.events.audio.SpeechRequestStatus;
import com.navdy.service.library.events.audio.VoiceAssistRequest;
import com.navdy.service.library.events.audio.VoiceAssistResponse;
import com.navdy.service.library.events.audio.VoiceSearchRequest;
import com.navdy.service.library.events.audio.VoiceSearchResponse;
import com.navdy.service.library.events.calendars.CalendarEvent;
import com.navdy.service.library.events.calendars.CalendarEventUpdates;
import com.navdy.service.library.events.callcontrol.CallEvent;
import com.navdy.service.library.events.callcontrol.CallStateUpdateRequest;
import com.navdy.service.library.events.callcontrol.PhoneBatteryStatus;
import com.navdy.service.library.events.callcontrol.PhoneEvent;
import com.navdy.service.library.events.callcontrol.PhoneStatusRequest;
import com.navdy.service.library.events.callcontrol.PhoneStatusResponse;
import com.navdy.service.library.events.callcontrol.TelephonyRequest;
import com.navdy.service.library.events.callcontrol.TelephonyResponse;
import com.navdy.service.library.events.connection.ConnectionRequest;
import com.navdy.service.library.events.connection.ConnectionStateChange;
import com.navdy.service.library.events.connection.ConnectionStatus;
import com.navdy.service.library.events.connection.DisconnectRequest;
import com.navdy.service.library.events.connection.LinkPropertiesChanged;
import com.navdy.service.library.events.connection.NetworkLinkReady;
import com.navdy.service.library.events.contacts.ContactRequest;
import com.navdy.service.library.events.contacts.ContactResponse;
import com.navdy.service.library.events.contacts.FavoriteContactsRequest;
import com.navdy.service.library.events.contacts.FavoriteContactsResponse;
import com.navdy.service.library.events.debug.DriveRecordingsRequest;
import com.navdy.service.library.events.debug.DriveRecordingsResponse;
import com.navdy.service.library.events.debug.StartDrivePlaybackEvent;
import com.navdy.service.library.events.debug.StartDrivePlaybackResponse;
import com.navdy.service.library.events.debug.StartDriveRecordingEvent;
import com.navdy.service.library.events.debug.StartDriveRecordingResponse;
import com.navdy.service.library.events.debug.StopDrivePlaybackEvent;
import com.navdy.service.library.events.debug.StopDriveRecordingEvent;
import com.navdy.service.library.events.debug.StopDriveRecordingResponse;
import com.navdy.service.library.events.destination.RecommendedDestinationsRequest;
import com.navdy.service.library.events.destination.RecommendedDestinationsUpdate;
import com.navdy.service.library.events.dial.DialBondRequest;
import com.navdy.service.library.events.dial.DialBondResponse;
import com.navdy.service.library.events.dial.DialStatusRequest;
import com.navdy.service.library.events.dial.DialStatusResponse;
import com.navdy.service.library.events.file.FileListRequest;
import com.navdy.service.library.events.file.FileListResponse;
import com.navdy.service.library.events.file.FileTransferData;
import com.navdy.service.library.events.file.FileTransferRequest;
import com.navdy.service.library.events.file.FileTransferResponse;
import com.navdy.service.library.events.file.FileTransferStatus;
import com.navdy.service.library.events.file.PreviewFileRequest;
import com.navdy.service.library.events.file.PreviewFileResponse;
import com.navdy.service.library.events.glances.CannedMessagesRequest;
import com.navdy.service.library.events.glances.CannedMessagesUpdate;
import com.navdy.service.library.events.glances.ClearGlances;
import com.navdy.service.library.events.glances.GlanceEvent;
import com.navdy.service.library.events.hudcontrol.AccelerateShutdown;
import com.navdy.service.library.events.input.DialSimulationEvent;
import com.navdy.service.library.events.input.GestureEvent;
import com.navdy.service.library.events.input.LaunchAppEvent;
import com.navdy.service.library.events.input.MediaRemoteKeyEvent;
import com.navdy.service.library.events.location.Coordinate;
import com.navdy.service.library.events.location.TransmitLocation;
import com.navdy.service.library.events.location.TripUpdateAck;
import com.navdy.service.library.events.messaging.SmsMessageRequest;
import com.navdy.service.library.events.messaging.SmsMessageResponse;
import com.navdy.service.library.events.navigation.GetNavigationSessionState;
import com.navdy.service.library.events.navigation.NavigationManeuverEvent;
import com.navdy.service.library.events.navigation.NavigationRouteCancelRequest;
import com.navdy.service.library.events.navigation.NavigationRouteRequest;
import com.navdy.service.library.events.navigation.NavigationRouteResponse;
import com.navdy.service.library.events.navigation.NavigationRouteStatus;
import com.navdy.service.library.events.navigation.NavigationSessionDeferRequest;
import com.navdy.service.library.events.navigation.NavigationSessionRequest;
import com.navdy.service.library.events.navigation.NavigationSessionResponse;
import com.navdy.service.library.events.navigation.NavigationSessionRouteChange;
import com.navdy.service.library.events.navigation.NavigationSessionStatusEvent;
import com.navdy.service.library.events.navigation.RouteManeuverRequest;
import com.navdy.service.library.events.navigation.RouteManeuverResponse;
import com.navdy.service.library.events.notification.NotificationEvent;
import com.navdy.service.library.events.notification.NotificationListRequest;
import com.navdy.service.library.events.notification.NotificationListResponse;
import com.navdy.service.library.events.notification.NotificationsStatusRequest;
import com.navdy.service.library.events.notification.NotificationsStatusUpdate;
import com.navdy.service.library.events.notification.ShowCustomNotification;
import com.navdy.service.library.events.obd.ObdStatusRequest;
import com.navdy.service.library.events.obd.ObdStatusResponse;
import com.navdy.service.library.events.photo.PhotoRequest;
import com.navdy.service.library.events.photo.PhotoResponse;
import com.navdy.service.library.events.photo.PhotoUpdate;
import com.navdy.service.library.events.photo.PhotoUpdateQuery;
import com.navdy.service.library.events.photo.PhotoUpdateQueryResponse;
import com.navdy.service.library.events.photo.PhotoUpdatesRequest;
import com.navdy.service.library.events.places.AutoCompleteRequest;
import com.navdy.service.library.events.places.AutoCompleteResponse;
import com.navdy.service.library.events.places.DestinationSelectedRequest;
import com.navdy.service.library.events.places.DestinationSelectedResponse;
import com.navdy.service.library.events.places.FavoriteDestinationsUpdate;
import com.navdy.service.library.events.places.PlaceTypeSearchRequest;
import com.navdy.service.library.events.places.PlaceTypeSearchResponse;
import com.navdy.service.library.events.places.PlacesSearchRequest;
import com.navdy.service.library.events.places.PlacesSearchResponse;
import com.navdy.service.library.events.places.SuggestedDestination;
import com.navdy.service.library.events.preferences.DashboardPreferences;
import com.navdy.service.library.events.preferences.DisplaySpeakerPreferencesRequest;
import com.navdy.service.library.events.preferences.DisplaySpeakerPreferencesUpdate;
import com.navdy.service.library.events.preferences.DriverProfilePreferencesRequest;
import com.navdy.service.library.events.preferences.DriverProfilePreferencesUpdate;
import com.navdy.service.library.events.preferences.InputPreferencesRequest;
import com.navdy.service.library.events.preferences.InputPreferencesUpdate;
import com.navdy.service.library.events.preferences.NavigationPreferencesRequest;
import com.navdy.service.library.events.preferences.NavigationPreferencesUpdate;
import com.navdy.service.library.events.preferences.NotificationPreferencesRequest;
import com.navdy.service.library.events.preferences.NotificationPreferencesUpdate;
import com.navdy.service.library.events.settings.DateTimeConfiguration;
import com.navdy.service.library.events.settings.NetworkStateChange;
import com.navdy.service.library.events.settings.ReadSettingsRequest;
import com.navdy.service.library.events.settings.ReadSettingsResponse;
import com.navdy.service.library.events.settings.UpdateSettings;
import com.navdy.service.library.events.ui.DismissScreen;
import com.navdy.service.library.events.ui.ShowScreen;
import com.squareup.wire.Extension;

public final class Ext_NavdyEvent {
    public static final Extension<NavdyEvent, AccelerateShutdown> accelerateShutdown = Extension.messageExtending(AccelerateShutdown.class, NavdyEvent.class).setName("null.accelerateShutdown").setTag(229).buildOptional();
    public static final Extension<NavdyEvent, AudioStatus> audioStatus = Extension.messageExtending(AudioStatus.class, NavdyEvent.class).setName("null.audioStatus").setTag(215).buildOptional();
    public static final Extension<NavdyEvent, AutoCompleteRequest> autoCompleteRequest = Extension.messageExtending(AutoCompleteRequest.class, NavdyEvent.class).setName("null.autoCompleteRequest").setTag(ResponseCodes.OBEX_HTTP_ENTITY_TOO_LARGE).buildOptional();
    public static final Extension<NavdyEvent, AutoCompleteResponse> autoCompleteResponse = Extension.messageExtending(AutoCompleteResponse.class, NavdyEvent.class).setName("null.autoCompleteResponse").setTag(ResponseCodes.OBEX_HTTP_REQ_TOO_LARGE).buildOptional();
    public static final Extension<NavdyEvent, CalendarEvent> calendarEvent = Extension.messageExtending(CalendarEvent.class, NavdyEvent.class).setName("null.calendarEvent").setTag(212).buildOptional();
    public static final Extension<NavdyEvent, CalendarEventUpdates> calendarEventUpdates = Extension.messageExtending(CalendarEventUpdates.class, NavdyEvent.class).setName("null.calendarEventUpdates").setTag(213).buildOptional();
    public static final Extension<NavdyEvent, CallEvent> callEvent = Extension.messageExtending(CallEvent.class, NavdyEvent.class).setName("null.callEvent").setTag(BluetoothPbapClient.EVENT_PULL_VCARD_LISTING_ERROR).buildOptional();
    public static final Extension<NavdyEvent, CallStateUpdateRequest> callStateUpdateRequest = Extension.messageExtending(CallStateUpdateRequest.class, NavdyEvent.class).setName("null.callStateUpdateRequest").setTag(204).buildOptional();
    public static final Extension<NavdyEvent, CancelSpeechRequest> cancelSpeechRequest = Extension.messageExtending(CancelSpeechRequest.class, NavdyEvent.class).setName("null.cancelSpeechRequest").setTag(ResponseCodes.OBEX_HTTP_NOT_IMPLEMENTED).buildOptional();
    public static final Extension<NavdyEvent, CannedMessagesRequest> cannedMessagesRequest = Extension.messageExtending(CannedMessagesRequest.class, NavdyEvent.class).setName("null.cannedMessagesRequest").setTag(235).buildOptional();
    public static final Extension<NavdyEvent, CannedMessagesUpdate> cannedMessagesUpdate = Extension.messageExtending(CannedMessagesUpdate.class, NavdyEvent.class).setName("null.cannedMessagesUpdate").setTag(236).buildOptional();
    public static final Extension<NavdyEvent, ClearGlances> clearGlances = Extension.messageExtending(ClearGlances.class, NavdyEvent.class).setName("null.clearGlances").setTag(226).buildOptional();
    public static final Extension<NavdyEvent, ConnectionRequest> connectionRequest = Extension.messageExtending(ConnectionRequest.class, NavdyEvent.class).setName("null.connectionRequest").setTag(170).buildOptional();
    public static final Extension<NavdyEvent, ConnectionStateChange> connectionStateChange = Extension.messageExtending(ConnectionStateChange.class, NavdyEvent.class).setName("null.connectionStateChange").setTag(122).buildOptional();
    public static final Extension<NavdyEvent, ConnectionStatus> connectionStatus = Extension.messageExtending(ConnectionStatus.class, NavdyEvent.class).setName("null.connectionStatus").setTag(171).buildOptional();
    public static final Extension<NavdyEvent, ContactRequest> contactRequest = Extension.messageExtending(ContactRequest.class, NavdyEvent.class).setName("null.contactRequest").setTag(ResponseCodes.OBEX_HTTP_ACCEPTED).buildOptional();
    public static final Extension<NavdyEvent, ContactResponse> contactResponse = Extension.messageExtending(ContactResponse.class, NavdyEvent.class).setName("null.contactResponse").setTag(ResponseCodes.OBEX_HTTP_NOT_AUTHORITATIVE).buildOptional();
    public static final Extension<NavdyEvent, Coordinate> coordinate = Extension.messageExtending(Coordinate.class, NavdyEvent.class).setName("null.coordinate").setTag(BluetoothPbapClient.EVENT_SET_PHONE_BOOK_ERROR).buildOptional();
    public static final Extension<NavdyEvent, DashboardPreferences> dashboardPreferences = Extension.messageExtending(DashboardPreferences.class, NavdyEvent.class).setName("null.dashboardPreferences").setTag(ResponseCodes.OBEX_DATABASE_LOCKED).buildOptional();
    public static final Extension<NavdyEvent, DateTimeConfiguration> dateTimeConfiguration = Extension.messageExtending(DateTimeConfiguration.class, NavdyEvent.class).setName("null.dateTimeConfiguration").setTag(135).buildOptional();
    public static final Extension<NavdyEvent, DestinationSelectedRequest> destinationSelectedRequest = Extension.messageExtending(DestinationSelectedRequest.class, NavdyEvent.class).setName("null.destinationSelectedRequest").setTag(VerticalList.ITEM_MOVE_ANIMATION_DURATION).buildOptional();
    public static final Extension<NavdyEvent, DestinationSelectedResponse> destinationSelectedResponse = Extension.messageExtending(DestinationSelectedResponse.class, NavdyEvent.class).setName("null.destinationSelectedResponse").setTag(231).buildOptional();
    public static final Extension<NavdyEvent, DeviceInfo> deviceInfo = Extension.messageExtending(DeviceInfo.class, NavdyEvent.class).setName("null.deviceInfo").setTag(TransportMediator.KEYCODE_MEDIA_PAUSE).buildOptional();
    public static final Extension<NavdyEvent, DialBondRequest> dialBondRequest = Extension.messageExtending(DialBondRequest.class, NavdyEvent.class).setName("null.dialBondRequest").setTag(148).buildOptional();
    public static final Extension<NavdyEvent, DialBondResponse> dialBondResponse = Extension.messageExtending(DialBondResponse.class, NavdyEvent.class).setName("null.dialBondResponse").setTag(149).buildOptional();
    public static final Extension<NavdyEvent, DialSimulationEvent> dialSimulationEvent = Extension.messageExtending(DialSimulationEvent.class, NavdyEvent.class).setName("null.dialSimulationEvent").setTag(ResponseCodes.OBEX_HTTP_OK).buildOptional();
    public static final Extension<NavdyEvent, DialStatusRequest> dialStatusRequest = Extension.messageExtending(DialStatusRequest.class, NavdyEvent.class).setName("null.dialStatusRequest").setTag(146).buildOptional();
    public static final Extension<NavdyEvent, DialStatusResponse> dialStatusResponse = Extension.messageExtending(DialStatusResponse.class, NavdyEvent.class).setName("null.dialStatusResponse").setTag(147).buildOptional();
    public static final Extension<NavdyEvent, DisconnectRequest> disconnectRequest = Extension.messageExtending(DisconnectRequest.class, NavdyEvent.class).setName("null.disconnectRequest").setTag(IconBaseViewHolder.FLUCTUATOR_OPACITY_ALPHA).buildOptional();
    public static final Extension<NavdyEvent, DismissScreen> dismissScreen = Extension.messageExtending(DismissScreen.class, NavdyEvent.class).setName("null.dismissScreen").setTag(114).buildOptional();
    public static final Extension<NavdyEvent, DisplaySpeakerPreferencesRequest> displaySpeakerPreferencesRequest = Extension.messageExtending(DisplaySpeakerPreferencesRequest.class, NavdyEvent.class).setName("null.displaySpeakerPreferencesRequest").setTag(186).buildOptional();
    public static final Extension<NavdyEvent, DisplaySpeakerPreferencesUpdate> displaySpeakerPreferencesUpdate = Extension.messageExtending(DisplaySpeakerPreferencesUpdate.class, NavdyEvent.class).setName("null.displaySpeakerPreferencesUpdate").setTag(187).buildOptional();
    public static final Extension<NavdyEvent, DriveRecordingsRequest> driveRecordingsRequest = Extension.messageExtending(DriveRecordingsRequest.class, NavdyEvent.class).setName("null.driveRecordingsRequest").setTag(ResponseCodes.OBEX_HTTP_PAYMENT_REQUIRED).buildOptional();
    public static final Extension<NavdyEvent, DriveRecordingsResponse> driveRecordingsResponse = Extension.messageExtending(DriveRecordingsResponse.class, NavdyEvent.class).setName("null.driveRecordingsResponse").setTag(195).buildOptional();
    public static final Extension<NavdyEvent, DriverProfilePreferencesUpdate> driverPreferencesUpdate = Extension.messageExtending(DriverProfilePreferencesUpdate.class, NavdyEvent.class).setName("null.driverPreferencesUpdate").setTag(HeaderSet.SINGLE_RESPONSE_MODE).buildOptional();
    public static final Extension<NavdyEvent, DriverProfilePreferencesRequest> driverProfilePreferencesRequest = Extension.messageExtending(DriverProfilePreferencesRequest.class, NavdyEvent.class).setName("null.driverProfilePreferencesRequest").setTag(150).buildOptional();
    public static final Extension<NavdyEvent, FavoriteContactsRequest> favoriteContactsRequest = Extension.messageExtending(FavoriteContactsRequest.class, NavdyEvent.class).setName("null.favoriteContactsRequest").setTag(ResponseCodes.OBEX_HTTP_NO_CONTENT).buildOptional();
    public static final Extension<NavdyEvent, FavoriteContactsResponse> favoriteContactsResponse = Extension.messageExtending(FavoriteContactsResponse.class, NavdyEvent.class).setName("null.favoriteContactsResponse").setTag(165).buildOptional();
    public static final Extension<NavdyEvent, FavoriteDestinationsUpdate> favoriteDestinationUpdate = Extension.messageExtending(FavoriteDestinationsUpdate.class, NavdyEvent.class).setName("null.favoriteDestinationUpdate").setTag(167).buildOptional();
    public static final Extension<NavdyEvent, FavoriteDestinationsRequest> favoriteDestinationsRequest = Extension.messageExtending(FavoriteDestinationsRequest.class, NavdyEvent.class).setName("null.favoriteDestinationsRequest").setTag(ResponseCodes.OBEX_HTTP_PARTIAL).buildOptional();
    public static final Extension<NavdyEvent, FileListRequest> fileListRequest = Extension.messageExtending(FileListRequest.class, NavdyEvent.class).setName("null.fileListRequest").setTag(BluetoothPbapClient.EVENT_PULL_VCARD_ENTRY_ERROR).buildOptional();
    public static final Extension<NavdyEvent, FileListResponse> fileListResponse = Extension.messageExtending(FileListResponse.class, NavdyEvent.class).setName("null.fileListResponse").setTag(105).buildOptional();
    public static final Extension<NavdyEvent, FileTransferData> fileTransferData = Extension.messageExtending(FileTransferData.class, NavdyEvent.class).setName("null.fileTransferData").setTag(138).buildOptional();
    public static final Extension<NavdyEvent, FileTransferRequest> fileTransferRequest = Extension.messageExtending(FileTransferRequest.class, NavdyEvent.class).setName("null.fileTransferRequest").setTag(137).buildOptional();
    public static final Extension<NavdyEvent, FileTransferResponse> fileTransferResponse = Extension.messageExtending(FileTransferResponse.class, NavdyEvent.class).setName("null.fileTransferResponse").setTag(136).buildOptional();
    public static final Extension<NavdyEvent, FileTransferStatus> fileTransferStatus = Extension.messageExtending(FileTransferStatus.class, NavdyEvent.class).setName("null.fileTransferStatus").setTag(139).buildOptional();
    public static final Extension<NavdyEvent, GestureEvent> gestureEvent = Extension.messageExtending(GestureEvent.class, NavdyEvent.class).setName("null.gestureEvent").setTag(116).buildOptional();
    public static final Extension<NavdyEvent, GetNavigationSessionState> getNavigationSessionState = Extension.messageExtending(GetNavigationSessionState.class, NavdyEvent.class).setName("null.getNavigationSessionState").setTag(155).buildOptional();
    public static final Extension<NavdyEvent, GlanceEvent> glanceEvent = Extension.messageExtending(GlanceEvent.class, NavdyEvent.class).setName("null.glanceEvent").setTag(ResponseCodes.OBEX_HTTP_UNSUPPORTED_TYPE).buildOptional();
    public static final Extension<NavdyEvent, InputPreferencesRequest> inputPreferencesRequest = Extension.messageExtending(InputPreferencesRequest.class, NavdyEvent.class).setName("null.inputPreferencesRequest").setTag(175).buildOptional();
    public static final Extension<NavdyEvent, InputPreferencesUpdate> inputPreferencesUpdate = Extension.messageExtending(InputPreferencesUpdate.class, NavdyEvent.class).setName("null.inputPreferencesUpdate").setTag(ResponseCodes.OBEX_HTTP_MULT_CHOICE).buildOptional();
    public static final Extension<NavdyEvent, LaunchAppEvent> launchAppEvent = Extension.messageExtending(LaunchAppEvent.class, NavdyEvent.class).setName("null.launchAppEvent").setTag(174).buildOptional();
    public static final Extension<NavdyEvent, LinkPropertiesChanged> linkPropertiesChanged = Extension.messageExtending(LinkPropertiesChanged.class, NavdyEvent.class).setName("null.linkPropertiesChanged").setTag(216).buildOptional();
    public static final Extension<NavdyEvent, MediaRemoteKeyEvent> mediaRemoteKeyEvent = Extension.messageExtending(MediaRemoteKeyEvent.class, NavdyEvent.class).setName("null.mediaRemoteKeyEvent").setTag(ResponseCodes.OBEX_HTTP_CREATED).buildOptional();
    public static final Extension<NavdyEvent, MusicArtworkRequest> musicArtworkRequest = Extension.messageExtending(MusicArtworkRequest.class, NavdyEvent.class).setName("null.musicArtworkRequest").setTag(TrackerEvent.RadioMapManualPrivateIndoor).buildOptional();
    public static final Extension<NavdyEvent, MusicArtworkResponse> musicArtworkResponse = Extension.messageExtending(MusicArtworkResponse.class, NavdyEvent.class).setName("null.musicArtworkResponse").setTag(ResponseCodes.OBEX_DATABASE_FULL).buildOptional();
    public static final Extension<NavdyEvent, MusicCapabilitiesRequest> musicCapabilitiesRequest = Extension.messageExtending(MusicCapabilitiesRequest.class, NavdyEvent.class).setName("null.musicCapabilitiesRequest").setTag(TrackerEvent.RadioMapManualOutdoor).buildOptional();
    public static final Extension<NavdyEvent, MusicCapabilitiesResponse> musicCapabilitiesResponse = Extension.messageExtending(MusicCapabilitiesResponse.class, NavdyEvent.class).setName("null.musicCapabilitiesResponse").setTag(TrackerEvent.RadioMapManualCommonIndoor).buildOptional();
    public static final Extension<NavdyEvent, MusicCollectionRequest> musicCollectionRequest = Extension.messageExtending(MusicCollectionRequest.class, NavdyEvent.class).setName("null.musicCollectionRequest").setTag(219).buildOptional();
    public static final Extension<NavdyEvent, MusicCollectionResponse> musicCollectionResponse = Extension.messageExtending(MusicCollectionResponse.class, NavdyEvent.class).setName("null.musicCollectionResponse").setTag(220).buildOptional();
    public static final Extension<NavdyEvent, MusicCollectionSourceUpdate> musicCollectionSourceUpdate = Extension.messageExtending(MusicCollectionSourceUpdate.class, NavdyEvent.class).setName("null.musicCollectionSourceUpdate").setTag(237).buildOptional();
    public static final Extension<NavdyEvent, MusicEvent> musicEvent = Extension.messageExtending(MusicEvent.class, NavdyEvent.class).setName("null.musicEvent").setTag(BuildConfig.VERSION_CODE).buildOptional();
    public static final Extension<NavdyEvent, MusicTrackInfo> musicTrackInfo = Extension.messageExtending(MusicTrackInfo.class, NavdyEvent.class).setName("null.musicTrackInfo").setTag(ResponseCodes.OBEX_HTTP_CONTINUE).buildOptional();
    public static final Extension<NavdyEvent, MusicTrackInfoRequest> musicTrackInfoRequest = Extension.messageExtending(MusicTrackInfoRequest.class, NavdyEvent.class).setName("null.musicTrackInfoRequest").setTag(143).buildOptional();
    public static final Extension<NavdyEvent, NavigationManeuverEvent> navigationManeuverEvent = Extension.messageExtending(NavigationManeuverEvent.class, NavdyEvent.class).setName("null.navigationManeuverEvent").setTag(108).buildOptional();
    public static final Extension<NavdyEvent, NavigationPreferencesRequest> navigationPreferencesRequest = Extension.messageExtending(NavigationPreferencesRequest.class, NavdyEvent.class).setName("null.navigationPreferencesRequest").setTag(SpeedometerGaugePresenter2.MAX_SPEED).buildOptional();
    public static final Extension<NavdyEvent, NavigationPreferencesUpdate> navigationPreferencesUpdate = Extension.messageExtending(NavigationPreferencesUpdate.class, NavdyEvent.class).setName("null.navigationPreferencesUpdate").setTag(159).buildOptional();
    public static final Extension<NavdyEvent, NavigationRouteCancelRequest> navigationRouteCancelRequest = Extension.messageExtending(NavigationRouteCancelRequest.class, NavdyEvent.class).setName("null.navigationRouteCancelRequest").setTag(189).buildOptional();
    public static final Extension<NavdyEvent, NavigationRouteRequest> navigationRouteRequest = Extension.messageExtending(NavigationRouteRequest.class, NavdyEvent.class).setName("null.navigationRouteRequest").setTag(109).buildOptional();
    public static final Extension<NavdyEvent, NavigationRouteResponse> navigationRouteResponse = Extension.messageExtending(NavigationRouteResponse.class, NavdyEvent.class).setName("null.navigationRouteResponse").setTag(110).buildOptional();
    public static final Extension<NavdyEvent, NavigationRouteStatus> navigationRouteStatus = Extension.messageExtending(NavigationRouteStatus.class, NavdyEvent.class).setName("null.navigationRouteStatus").setTag(188).buildOptional();
    public static final Extension<NavdyEvent, NavigationSessionDeferRequest> navigationSessionDeferRequest = Extension.messageExtending(NavigationSessionDeferRequest.class, NavdyEvent.class).setName("null.navigationSessionDeferRequest").setTag(203).buildOptional();
    public static final Extension<NavdyEvent, NavigationSessionRequest> navigationSessionRequest = Extension.messageExtending(NavigationSessionRequest.class, NavdyEvent.class).setName("null.navigationSessionRequest").setTag(TrackerEvent.PositioningOnlineOutdoor).buildOptional();
    public static final Extension<NavdyEvent, NavigationSessionResponse> navigationSessionResponse = Extension.messageExtending(NavigationSessionResponse.class, NavdyEvent.class).setName("null.navigationSessionResponse").setTag(112).buildOptional();
    public static final Extension<NavdyEvent, NavigationSessionRouteChange> navigationSessionRouteChange = Extension.messageExtending(NavigationSessionRouteChange.class, NavdyEvent.class).setName("null.navigationSessionRouteChange").setTag(200).buildOptional();
    public static final Extension<NavdyEvent, NavigationSessionStatusEvent> navigationSessionStatusEvent = Extension.messageExtending(NavigationSessionStatusEvent.class, NavdyEvent.class).setName("null.navigationSessionStatusEvent").setTag(113).buildOptional();
    public static final Extension<NavdyEvent, NetworkLinkReady> networkLinkReady = Extension.messageExtending(NetworkLinkReady.class, NavdyEvent.class).setName("null.networkLinkReady").setTag(ResponseCodes.OBEX_HTTP_BAD_GATEWAY).buildOptional();
    public static final Extension<NavdyEvent, NetworkStateChange> networkStateChange = Extension.messageExtending(NetworkStateChange.class, NavdyEvent.class).setName("null.networkStateChange").setTag(201).buildOptional();
    public static final Extension<NavdyEvent, Notification> notification = Extension.messageExtending(Notification.class, NavdyEvent.class).setName("null.notification").setTag(102).buildOptional();
    public static final Extension<NavdyEvent, NotificationEvent> notificationEvent = Extension.messageExtending(NotificationEvent.class, NavdyEvent.class).setName("null.notificationEvent").setTag(TransportMediator.KEYCODE_MEDIA_PLAY).buildOptional();
    public static final Extension<NavdyEvent, NotificationListRequest> notificationListRequest = Extension.messageExtending(NotificationListRequest.class, NavdyEvent.class).setName("null.notificationListRequest").setTag(132).buildOptional();
    public static final Extension<NavdyEvent, NotificationListResponse> notificationListResponse = Extension.messageExtending(NotificationListResponse.class, NavdyEvent.class).setName("null.notificationListResponse").setTag(133).buildOptional();
    public static final Extension<NavdyEvent, NotificationPreferencesUpdate> notificationPreferencesUpdate = Extension.messageExtending(NotificationPreferencesUpdate.class, NavdyEvent.class).setName("null.notificationPreferencesUpdate").setTag(191).buildOptional();
    public static final Extension<NavdyEvent, NotificationPreferencesRequest> notificationsPreferencesRequest = Extension.messageExtending(NotificationPreferencesRequest.class, NavdyEvent.class).setName("null.notificationsPreferencesRequest").setTag(190).buildOptional();
    public static final Extension<NavdyEvent, NotificationsStatusRequest> notificationsStatusRequest = Extension.messageExtending(NotificationsStatusRequest.class, NavdyEvent.class).setName("null.notificationsStatusRequest").setTag(142).buildOptional();
    public static final Extension<NavdyEvent, NotificationsStatusUpdate> notificationsStatusUpdate = Extension.messageExtending(NotificationsStatusUpdate.class, NavdyEvent.class).setName("null.notificationsStatusUpdate").setTag(141).buildOptional();
    public static final Extension<NavdyEvent, NowPlayingUpdateRequest> nowPlayingUpdateRequest = Extension.messageExtending(NowPlayingUpdateRequest.class, NavdyEvent.class).setName("null.nowPlayingUpdateRequest").setTag(ResponseCodes.OBEX_HTTP_INTERNAL_ERROR).buildOptional();
    public static final Extension<NavdyEvent, ObdStatusRequest> obdStatusRequest = Extension.messageExtending(ObdStatusRequest.class, NavdyEvent.class).setName("null.obdStatusRequest").setTag(180).buildOptional();
    public static final Extension<NavdyEvent, ObdStatusResponse> obdStatusResponse = Extension.messageExtending(ObdStatusResponse.class, NavdyEvent.class).setName("null.obdStatusResponse").setTag(ResponseCodes.OBEX_HTTP_USE_PROXY).buildOptional();
    public static final Extension<NavdyEvent, PhoneBatteryStatus> phoneBatteryStatus = Extension.messageExtending(PhoneBatteryStatus.class, NavdyEvent.class).setName("null.phoneBatteryStatus").setTag(ResponseCodes.OBEX_HTTP_MOVED_PERM).buildOptional();
    public static final Extension<NavdyEvent, PhoneEvent> phoneEvent = Extension.messageExtending(PhoneEvent.class, NavdyEvent.class).setName("null.phoneEvent").setTag(128).buildOptional();
    public static final Extension<NavdyEvent, PhoneStatusRequest> phoneStatusRequest = Extension.messageExtending(PhoneStatusRequest.class, NavdyEvent.class).setName("null.phoneStatusRequest").setTag(172).buildOptional();
    public static final Extension<NavdyEvent, PhoneStatusResponse> phoneStatusResponse = Extension.messageExtending(PhoneStatusResponse.class, NavdyEvent.class).setName("null.phoneStatusResponse").setTag(173).buildOptional();
    public static final Extension<NavdyEvent, PhotoRequest> photoRequest = Extension.messageExtending(PhotoRequest.class, NavdyEvent.class).setName("null.photoRequest").setTag(130).buildOptional();
    public static final Extension<NavdyEvent, PhotoResponse> photoResponse = Extension.messageExtending(PhotoResponse.class, NavdyEvent.class).setName("null.photoResponse").setTag(131).buildOptional();
    public static final Extension<NavdyEvent, PhotoUpdate> photoUpdate = Extension.messageExtending(PhotoUpdate.class, NavdyEvent.class).setName("null.photoUpdate").setTag(185).buildOptional();
    public static final Extension<NavdyEvent, PhotoUpdateQuery> photoUpdateQuery = Extension.messageExtending(PhotoUpdateQuery.class, NavdyEvent.class).setName("null.photoUpdateQuery").setTag(232).buildOptional();
    public static final Extension<NavdyEvent, PhotoUpdateQueryResponse> photoUpdateQueryResponse = Extension.messageExtending(PhotoUpdateQueryResponse.class, NavdyEvent.class).setName("null.photoUpdateQueryResponse").setTag(233).buildOptional();
    public static final Extension<NavdyEvent, PhotoUpdatesRequest> photoUpdateRequest = Extension.messageExtending(PhotoUpdatesRequest.class, NavdyEvent.class).setName("null.photoUpdateRequest").setTag(184).buildOptional();
    public static final Extension<NavdyEvent, Ping> ping = Extension.messageExtending(Ping.class, NavdyEvent.class).setName("null.ping").setTag(140).buildOptional();
    public static final Extension<NavdyEvent, PlaceTypeSearchRequest> placeTypeSearchRequest = Extension.messageExtending(PlaceTypeSearchRequest.class, NavdyEvent.class).setName("null.placeTypeSearchRequest").setTag(227).buildOptional();
    public static final Extension<NavdyEvent, PlaceTypeSearchResponse> placeTypeSearchResponse = Extension.messageExtending(PlaceTypeSearchResponse.class, NavdyEvent.class).setName("null.placeTypeSearchResponse").setTag(228).buildOptional();
    public static final Extension<NavdyEvent, PlacesSearchRequest> placesSearchRequest = Extension.messageExtending(PlacesSearchRequest.class, NavdyEvent.class).setName("null.placesSearchRequest").setTag(117).buildOptional();
    public static final Extension<NavdyEvent, PlacesSearchResponse> placesSearchResponse = Extension.messageExtending(PlacesSearchResponse.class, NavdyEvent.class).setName("null.placesSearchResponse").setTag(118).buildOptional();
    public static final Extension<NavdyEvent, PreviewFileRequest> previewFileRequest = Extension.messageExtending(PreviewFileRequest.class, NavdyEvent.class).setName("null.previewFileRequest").setTag(BluetoothPbapClient.EVENT_PULL_VCARD_LISTING_SIZE_ERROR).buildOptional();
    public static final Extension<NavdyEvent, PreviewFileResponse> previewFileResponse = Extension.messageExtending(PreviewFileResponse.class, NavdyEvent.class).setName("null.previewFileResponse").setTag(107).buildOptional();
    public static final Extension<NavdyEvent, ReadSettingsRequest> readSettingsRequest = Extension.messageExtending(ReadSettingsRequest.class, NavdyEvent.class).setName("null.readSettingsRequest").setTag(119).buildOptional();
    public static final Extension<NavdyEvent, ReadSettingsResponse> readSettingsResponse = Extension.messageExtending(ReadSettingsResponse.class, NavdyEvent.class).setName("null.readSettingsResponse").setTag(StaticConfig.MEMORY_IMAGE_CACHE_SIZE_THRESHOLD).buildOptional();
    public static final Extension<NavdyEvent, RecommendedDestinationsRequest> recommendedDestinationsRequest = Extension.messageExtending(RecommendedDestinationsRequest.class, NavdyEvent.class).setName("null.recommendedDestinationsRequest").setTag(168).buildOptional();
    public static final Extension<NavdyEvent, RecommendedDestinationsUpdate> recommendedDestinationsUpdate = Extension.messageExtending(RecommendedDestinationsUpdate.class, NavdyEvent.class).setName("null.recommendedDestinationsUpdate").setTag(169).buildOptional();
    public static final Extension<NavdyEvent, ResumeMusicRequest> resumeMusicRequest = Extension.messageExtending(ResumeMusicRequest.class, NavdyEvent.class).setName("null.resumeMusicRequest").setTag(234).buildOptional();
    public static final Extension<NavdyEvent, RouteManeuverRequest> routeManeuverRequest = Extension.messageExtending(RouteManeuverRequest.class, NavdyEvent.class).setName("null.routeManeuverRequest").setTag(156).buildOptional();
    public static final Extension<NavdyEvent, RouteManeuverResponse> routeManeuverResponse = Extension.messageExtending(RouteManeuverResponse.class, NavdyEvent.class).setName("null.routeManeuverResponse").setTag(157).buildOptional();
    public static final Extension<NavdyEvent, ShowCustomNotification> showCustomNotification = Extension.messageExtending(ShowCustomNotification.class, NavdyEvent.class).setName("null.showCustomNotification").setTag(134).buildOptional();
    public static final Extension<NavdyEvent, ShowScreen> showScreen = Extension.messageExtending(ShowScreen.class, NavdyEvent.class).setName("null.showScreen").setTag(115).buildOptional();
    public static final Extension<NavdyEvent, SmsMessageRequest> smsMessageRequest = Extension.messageExtending(SmsMessageRequest.class, NavdyEvent.class).setName("null.smsMessageRequest").setTag(ResponseCodes.OBEX_HTTP_MOVED_TEMP).buildOptional();
    public static final Extension<NavdyEvent, SmsMessageResponse> smsMessageResponse = Extension.messageExtending(SmsMessageResponse.class, NavdyEvent.class).setName("null.smsMessageResponse").setTag(ResponseCodes.OBEX_HTTP_SEE_OTHER).buildOptional();
    public static final Extension<NavdyEvent, SpeechRequest> speechRequest = Extension.messageExtending(SpeechRequest.class, NavdyEvent.class).setName("null.speechRequest").setTag(123).buildOptional();
    public static final Extension<NavdyEvent, SpeechRequestStatus> speechRequestStatus = Extension.messageExtending(SpeechRequestStatus.class, NavdyEvent.class).setName("null.speechRequestStatus").setTag(214).buildOptional();
    public static final Extension<NavdyEvent, StartDrivePlaybackEvent> startDrivePlaybackEvent = Extension.messageExtending(StartDrivePlaybackEvent.class, NavdyEvent.class).setName("null.startDrivePlaybackEvent").setTag(196).buildOptional();
    public static final Extension<NavdyEvent, StartDrivePlaybackResponse> startDrivePlaybackResponse = Extension.messageExtending(StartDrivePlaybackResponse.class, NavdyEvent.class).setName("null.startDrivePlaybackResponse").setTag(ResponseCodes.OBEX_HTTP_PROXY_AUTH).buildOptional();
    public static final Extension<NavdyEvent, StartDriveRecordingEvent> startDriveRecordingEvent = Extension.messageExtending(StartDriveRecordingEvent.class, NavdyEvent.class).setName("null.startDriveRecordingEvent").setTag(192).buildOptional();
    public static final Extension<NavdyEvent, StartDriveRecordingResponse> startDriveRecordingResponse = Extension.messageExtending(StartDriveRecordingResponse.class, NavdyEvent.class).setName("null.startDriveRecordingResponse").setTag(ResponseCodes.OBEX_HTTP_NOT_ACCEPTABLE).buildOptional();
    public static final Extension<NavdyEvent, StopDrivePlaybackEvent> stopDrivePlaybackEvent = Extension.messageExtending(StopDrivePlaybackEvent.class, NavdyEvent.class).setName("null.stopDrivePlaybackEvent").setTag(ResponseCodes.OBEX_HTTP_BAD_METHOD).buildOptional();
    public static final Extension<NavdyEvent, StopDriveRecordingEvent> stopDriveRecordingEvent = Extension.messageExtending(StopDriveRecordingEvent.class, NavdyEvent.class).setName("null.stopDriveRecordingEvent").setTag(ResponseCodes.OBEX_HTTP_UNAUTHORIZED).buildOptional();
    public static final Extension<NavdyEvent, StopDriveRecordingResponse> stopDriveRecordingResponse = Extension.messageExtending(StopDriveRecordingResponse.class, NavdyEvent.class).setName("null.stopDriveRecordingResponse").setTag(202).buildOptional();
    public static final Extension<NavdyEvent, SuggestedDestination> suggestedDestination = Extension.messageExtending(SuggestedDestination.class, NavdyEvent.class).setName("null.suggestedDestination").setTag(211).buildOptional();
    public static final Extension<NavdyEvent, TelephonyRequest> telephonyRequest = Extension.messageExtending(TelephonyRequest.class, NavdyEvent.class).setName("null.telephonyRequest").setTag(124).buildOptional();
    public static final Extension<NavdyEvent, TelephonyResponse> telephonyResponse = Extension.messageExtending(TelephonyResponse.class, NavdyEvent.class).setName("null.telephonyResponse").setTag(125).buildOptional();
    public static final Extension<NavdyEvent, TransmitLocation> transmitLocation = Extension.messageExtending(TransmitLocation.class, NavdyEvent.class).setName("null.transmitLocation").setTag(HeaderSet.SINGLE_RESPONSE_MODE_PARAMETER).buildOptional();
    public static final Extension<NavdyEvent, TripUpdate> tripUpdate = Extension.messageExtending(TripUpdate.class, NavdyEvent.class).setName("null.tripUpdate").setTag(182).buildOptional();
    public static final Extension<NavdyEvent, TripUpdateAck> tripUpdateAck = Extension.messageExtending(TripUpdateAck.class, NavdyEvent.class).setName("null.tripUpdateAck").setTag(183).buildOptional();
    public static final Extension<NavdyEvent, UpdateSettings> updateSettings = Extension.messageExtending(UpdateSettings.class, NavdyEvent.class).setName("null.updateSettings").setTag(TrackerEvent.PositioningHybridOutdoor).buildOptional();
    public static final Extension<NavdyEvent, VoiceAssistRequest> voiceAssistRequest = Extension.messageExtending(VoiceAssistRequest.class, NavdyEvent.class).setName("null.voiceAssistRequest").setTag(ObexHelper.OBEX_OPCODE_DISCONNECT).buildOptional();
    public static final Extension<NavdyEvent, VoiceAssistResponse> voiceAssistResponse = Extension.messageExtending(VoiceAssistResponse.class, NavdyEvent.class).setName("null.voiceAssistResponse").setTag(154).buildOptional();
    public static final Extension<NavdyEvent, VoiceSearchRequest> voiceSearchRequest = Extension.messageExtending(VoiceSearchRequest.class, NavdyEvent.class).setName("null.voiceSearchRequest").setTag(217).buildOptional();
    public static final Extension<NavdyEvent, VoiceSearchResponse> voiceSearchResponse = Extension.messageExtending(VoiceSearchResponse.class, NavdyEvent.class).setName("null.voiceSearchResponse").setTag(218).buildOptional();

    private Ext_NavdyEvent() {
    }
}
